Subject: Re: [PATCH v2 1/5] Makefile: rename objects in-place, don't clobber

From: Junio C Hamano <[email-masked]>
Date: Wed, 31 Mar 2021 11:50:44 -0700

Ævar Arnfjörð Bjarmason <[email-masked]> writes:

>> What I meant was if there are well known upstream projects whose
>> Makefile actually use
>>
>> 	$(CC) -o $@+ ...
>> 	mv $@+ $@

... or can you find a popular build generator or two that write such
rules for the final linkage stage (or individual object file
generation step) and argue that all the projects that use the tool
do benefit from such a rule because they can run without installing
and rebuild while the old one is running?

Then I may have found a good reason to believe that some projects
thought hard and long and came to the same conclusion as you did.

I started from the place where I didn't find your rationale for
wanting such a construct sensible, and such a finding may tempt me
to think again.  But otherwise...